#!/bin/sh

set -x
exec 1> /tmp/smbspool.out
exec 2> /tmp/smbspool.out

# smbspool {job} {user} {title} {copies} {options} [filename]

CREDS="/home/$2/credentials"

DOMAIN=$(sed -n 's/^domain = \(.*\)$/\1/p' $CREDS)
PASSWORD=$(sed -n 's/^password = \(.*\)$/\1/p' $CREDS)
USERNAME=$(sed -n 's/^username = \(.*\)$/\1/p' $CREDS)

DEVICE_URI=$(echo $DEVICE_URI | \
             sed "s/DOMAIN/$DOMAIN/; s/PASSWORT/$PASSWORD/; s/USER/$USERNAME/")

export DEVICE_URI

exec /usr/bin/smbspool.ORIG "$@"
